## qtwebkit-source 2.3.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.3)
PROJECT(WebKit)

# Set a default build type if and only if user did not define one as command
# line options and he did not give custom CFLAGS or CXXFLAGS. Otherwise, flags
# from default build type would overwrite user-defined ones.
IF (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_C_FLAGS AND NOT CMAKE_CXX_FLAGS)
    SET(CMAKE_BUILD_TYPE Release)
ENDIF ()

# -----------------------------------------------------------------------------
# Default library type
# -----------------------------------------------------------------------------
SET(ENABLE_WEBCORE ON)

IF (NOT ENABLE_WEBKIT AND NOT ENABLE_WEBKIT2)
    SET(ENABLE_WEBKIT ON)
ENDIF ()

SET(ENABLE_TOOLS ON)

SET(WTF_DIR "${CMAKE_SOURCE_DIR}/Source/WTF")
SET(JAVASCRIPTCORE_DIR "${CMAKE_SOURCE_DIR}/Source/JavaScriptCore")
SET(WEBCORE_DIR "${CMAKE_SOURCE_DIR}/Source/WebCore")
SET(WEBKIT_DIR "${CMAKE_SOURCE_DIR}/Source/WebKit")
SET(WEBKIT2_DIR "${CMAKE_SOURCE_DIR}/Source/WebKit2")
SET(THIRDPARTY_DIR "${CMAKE_SOURCE_DIR}/Source/ThirdParty")

SET(TOOLS_DIR "${CMAKE_SOURCE_DIR}/Tools")

SET(DERIVED_SOURCES_DIR "${CMAKE_BINARY_DIR}/DerivedSources")
SET(DERIVED_SOURCES_JAVASCRIPTCORE_DIR "${CMAKE_BINARY_DIR}/DerivedSources/JavaScriptCore")
SET(DERIVED_SOURCES_WEBCORE_DIR "${CMAKE_BINARY_DIR}/DerivedSources/WebCore")
SET(DERIVED_SOURCES_WEBKIT_DIR "${CMAKE_BINARY_DIR}/DerivedSources/WebKit")
SET(DERIVED_SOURCES_WEBKIT2_DIR "${CMAKE_BINARY_DIR}/DerivedSources/WebKit2")

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/Source/cmake")

INCLUDE(WebKitMacros)
INCLUDE(WebKitFS)
INCLUDE(WebKitHelpers)
INCLUDE(WebKitFeatures)

# -----------------------------------------------------------------------------
# Determine which port will be built
# -----------------------------------------------------------------------------
SET(ALL_PORTS Efl WinCE BlackBerry)
SET(PORT "NOPORT" CACHE STRING "choose which WebKit port to build (one of ${ALL_PORTS})")

LIST(FIND ALL_PORTS ${PORT} RET)
IF (${RET} EQUAL -1)
    MESSAGE(FATAL_ERROR "Please choose which WebKit port to build (one of ${ALL_PORTS})")
ENDIF ()

STRING(TOLOWER ${PORT} WEBKIT_PORT_DIR)

# -----------------------------------------------------------------------------
# Find common packages (used by all ports)
# -----------------------------------------------------------------------------
FIND_PACKAGE(BISON REQUIRED)
FIND_PACKAGE(FLEX REQUIRED)
FIND_PACKAGE(Gperf REQUIRED)
FIND_PACKAGE(Perl REQUIRED)
FIND_PACKAGE(PythonInterp REQUIRED)
FIND_PACKAGE(Ruby)

# -----------------------------------------------------------------------------
# Determine the target processor
# -----------------------------------------------------------------------------
STRING(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)
IF (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    SET(WTF_CPU_ARM 1)
ELSEIF (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^mips")
    SET(WTF_CPU_MIPS 1)
ELSEIF (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(x86_64|amd64)")
    SET(WTF_CPU_X86_64 1)
ELSEIF (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(i[3-6]86|x86)")
    SET(WTF_CPU_X86 1)
ELSE ()
    MESSAGE(FATAL_ERROR "Unknown CPU '${CMAKE_SYSTEM_PROCESSOR}'")
ENDIF ()

# -----------------------------------------------------------------------------
# Determine the operating system
# -----------------------------------------------------------------------------
IF (UNIX)
    IF (APPLE)
        SET(WTF_OS_MAC_OS_X 1)
    ELSE ()
        SET(WTF_OS_UNIX 1)
    ENDIF ()
ELSEIF (CMAKE_SYSTEM_NAME MATCHES "Windows")
    SET(WTF_OS_WINDOWS 1)
ELSEIF (CMAKE_SYSTEM_NAME MATCHES "QNX")
    SET(WTF_OS_QNX 1)
    SET(WTF_OS_UNIX 1)
ELSE ()
    MESSAGE(FATAL_ERROR "Unknown OS '${CMAKE_SYSTEM_NAME}'")
ENDIF ()

# -----------------------------------------------------------------------------
# Default target names (can be overrriden in Options${PORT}.cmake file)
# -----------------------------------------------------------------------------
SET(JSC_EXECUTABLE_NAME JSC)
SET(WTF_LIBRARY_NAME WTF)
SET(JavaScriptCore_LIBRARY_NAME JavaScriptCore)
SET(WebCore_LIBRARY_NAME WebCore)
SET(WebKit_LIBRARY_NAME WebKit)
SET(WebKit2_LIBRARY_NAME WebKit2)
SET(WebCoreTestSupport_LIBRARY_NAME WebCoreTestSupport)

# -----------------------------------------------------------------------------
# Default library types
# -----------------------------------------------------------------------------
OPTION(SHARED_CORE "build JavaScriptCore and WebCore as shared libraries")

IF (SHARED_CORE)
    SET(JavaScriptCore_LIBRARY_TYPE SHARED)
    SET(WebCore_LIBRARY_TYPE SHARED)
ELSE ()
    SET(JavaScriptCore_LIBRARY_TYPE STATIC)
    SET(WebCore_LIBRARY_TYPE STATIC)
ENDIF ()

SET(WebKit_LIBRARY_TYPE SHARED)
SET(WebKit2_LIBRARY_TYPE SHARED)
SET(WebCoreTestSupport_LIBRARY_TYPE STATIC)

# -----------------------------------------------------------------------------
# Common options
#------------------------------------------------------------------------------
INCLUDE(OptionsCommon)
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${LIB_INSTALL_DIR})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${LIB_INSTALL_DIR})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${EXEC_INSTALL_DIR})

# -----------------------------------------------------------------------------
# Port-specific options
# -----------------------------------------------------------------------------
INCLUDE(Options${PORT})

# -----------------------------------------------------------------------------
# Enable API unit tests and create a target for the test runner
# -----------------------------------------------------------------------------
IF (ENABLE_API_TESTS)
    ENABLE_TESTING()
ENDIF ()

# -----------------------------------------------------------------------------
# Install JavaScript shell
# -----------------------------------------------------------------------------
OPTION(SHOULD_INSTALL_JS_SHELL "generate an installation rule to install the built JavaScript shell")

# -----------------------------------------------------------------------------
# Define packaging
# -----------------------------------------------------------------------------
INCLUDE(WebKitPackaging)

# -----------------------------------------------------------------------------
# Add module directories
# -----------------------------------------------------------------------------
ADD_SUBDIRECTORY(Source)

# -----------------------------------------------------------------------------
# Add tools
# -----------------------------------------------------------------------------
IF (ENABLE_TOOLS)
    ADD_SUBDIRECTORY(Tools)
ENDIF ()

=== Makefile ===
MODULES = Source Tools

all:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

debug d development dev develop:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

release r deployment dep deploy:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

clean:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

=== Source/Makefile ===
MODULES = WTF JavaScriptCore ThirdParty/ANGLE WebCore WebKit WebKit2

all:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

debug d development dev develop:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

release r deployment dep deploy:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

clean:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

=== Tools/TestWebKitAPI/CMakeLists.txt ===
SET(TESTWEBKITAPI_DIR "${TOOLS_DIR}/TestWebKitAPI")

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}
    ${TESTWEBKITAPI_DIR}
    ${CMAKE_SOURCE_DIR}/Source
    ${DERIVED_SOURCES_WEBCORE_DIR}
    ${DERIVED_SOURCES_WEBKIT2_DIR}/include
    ${JAVASCRIPTCORE_DIR}
    ${JAVASCRIPTCORE_DIR}/API
    ${JAVASCRIPTCORE_DIR}/ForwardingHeaders
    ${THIRDPARTY_DIR}/gtest/include
    ${WEBCORE_DIR}/editing
    ${WEBCORE_DIR}/platform
    ${WEBCORE_DIR}/platform/graphics
    ${WEBCORE_DIR}/platform/text
    ${WEBCORE_DIR}/platform/network
    ${WEBKIT2_DIR}/Shared
    ${WEBKIT2_DIR}/Shared/API/c
    ${WEBKIT2_DIR}/UIProcess
    ${WTF_DIR}
)

WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

ADD_LIBRARY(TestWebKitAPIInjectedBundle SHARED
    ${bundle_harness_SOURCES}
    ${TESTWEBKITAPI_DIR}/InjectedBundleController.cpp
    ${TESTWEBKITAPI_DIR}/InjectedBundleMain.cpp
    ${TESTWEBKITAPI_DIR}/PlatformUtilities.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/CanHandleRequest_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/DOMWindowExtensionNoCache_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/DocumentStartUserScriptAlertCrash_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/GetInjectedBundleInitializationUserDataCallback_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/HitTestResultNodeHandle_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/InjectedBundleBasic_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/InjectedBundleInitializationUserDataCallbackWins_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/LoadCanceledNoServerRedirectCallback_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/MouseMoveAfterCrash_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutFails_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutForImages_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/NewFirstVisuallyNonEmptyLayoutFrames_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/NewFirstVisuallyNonEmptyLayout_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/ParentFrame_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/ResponsivenessTimerDoesntFireEarly_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/ShouldGoToBackForwardListItem_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/UserMessage_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/WKConnection_Bundle.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebKit2/WillSendSubmitEvent_Bundle.cpp
)

TARGET_LINK_LIBRARIES(TestWebKitAPIInjectedBundle ${WTF_LIBRARY_NAME})
ADD_DEPENDENCIES(TestWebKitAPIInjectedBundle ${WebKit2_LIBRARY_NAME} ${ForwardingHeadersForTestWebKitAPI_NAME} ${ForwardingNetworkHeadersForTestWebKitAPI_NAME})

GET_PROPERTY(TestWebKitAPIInjectedBundle_PATH TARGET TestWebKitAPIInjectedBundle PROPERTY LOCATION)

ADD_DEFINITIONS(-DGTEST_LINKED_AS_SHARED_LIBRARY=1
    -DTEST_WEBKIT2_RESOURCES_DIR=\"${TESTWEBKITAPI_DIR}/Tests/WebKit2\"
    -DTEST_INJECTED_BUNDLE_PATH=\"${TestWebKitAPIInjectedBundle_PATH}\"
)

SET(test_wtf_LIBRARIES
    ${WTF_LIBRARY_NAME}
    gtest
)

ADD_EXECUTABLE(test_wtf
    ${test_main_SOURCES}
    ${TESTWEBKITAPI_DIR}/TestsController.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/AtomicString.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/CString.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/CheckedArithmeticOperations.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/Functional.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/HashMap.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/IntegerToStringConversion.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/MathExtras.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/MetaAllocator.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/MemoryInstrumentationTest.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/RedBlackTree.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/SaturatedArithmeticOperations.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/StringBuilder.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/StringImpl.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/StringOperators.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/TemporaryChange.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/Vector.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/VectorBasic.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/VectorReverse.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WTF/WTFString.cpp
)

TARGET_LINK_LIBRARIES(test_wtf ${test_wtf_LIBRARIES})
ADD_DEPENDENCIES(test_wtf ${ForwardingHeadersForTestWebKitAPI_NAME} ${ForwardingNetworkHeadersForTestWebKitAPI_NAME})
ADD_TEST(test_wtf ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/test_wtf)
SET_TESTS_PROPERTIES(test_wtf PROPERTIES TIMEOUT 60)

SET(test_webcore_LIBRARIES
    gtest
    ${WTF_LIBRARY_NAME}
    ${WebCore_LIBRARY_NAME}
)

ADD_EXECUTABLE(test_webcore
    ${test_main_SOURCES}
    ${TESTWEBKITAPI_DIR}/TestsController.cpp
    ${TESTWEBKITAPI_DIR}/Tests/WebCore/KURL.cpp
)

TARGET_LINK_LIBRARIES(test_webcore ${test_webcore_LIBRARIES})
ADD_DEPENDENCIES(test_webcore ${ForwardingHeadersForTestWebKitAPI_NAME} ${ForwardingNetworkHeadersForTestWebKitAPI_NAME})
ADD_TEST(test_webcore ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/test_webcore)
SET_TESTS_PROPERTIES(test_webcore PROPERTIES TIMEOUT 60)

ADD_LIBRARY(TestWebKitAPIBase
    ${test_main_SOURCES}
    ${webkit2_api_harness_SOURCES}
    ${TESTWEBKITAPI_DIR}/JavaScriptTest.cpp
    ${TESTWEBKITAPI_DIR}/PlatformUtilities.cpp
    ${TESTWEBKITAPI_DIR}/TestsController.cpp
)

ADD_DEPENDENCIES(TestWebKitAPIBase ${WebKit2_LIBRARY_NAME} ${ForwardingHeadersForTestWebKitAPI_NAME} ${ForwardingNetworkHeadersForTestWebKitAPI_NAME})

SET(test_webkit2_api_LIBRARIES
    TestWebKitAPIBase
    ${WTF_LIBRARY_NAME}
    ${JavaScriptCore_LIBRARY_NAME}
    ${WebKit2_LIBRARY_NAME}
    gtest
)

FOREACH(testName ${test_webkit2_api_BINARIES})
    ADD_EXECUTABLE(test_webkit2_api_${testName} ${TESTWEBKITAPI_DIR}/Tests/WebKit2/${testName}.cpp)
    ADD_TEST(test_webkit2_api_${testName} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/test_webkit2_api_${testName})
    SET_TESTS_PROPERTIES(test_webkit2_api_${testName} PROPERTIES TIMEOUT 60)
    TARGET_LINK_LIBRARIES(test_webkit2_api_${testName} ${test_webkit2_api_LIBRARIES})
ENDFOREACH()

# We don't run tests that are expected to fail. We could use the WILL_FAIL
# property, but it reports failure when the test crashes or timeouts and would
# make the bot red.

FOREACH(testName ${test_webkit2_api_fail_BINARIES})
    ADD_EXECUTABLE(test_webkit2_api_fail_${testName} ${TESTWEBKITAPI_DIR}/Tests/WebKit2/${testName}.cpp)
    TARGET_LINK_LIBRARIES(test_webkit2_api_fail_${testName} ${test_webkit2_api_LIBRARIES})
ENDFOREACH()

=== Tools/EWebLauncher/ControlTheme/CMakeLists.txt ===
SET(ControlTheme_DIR "${TOOLS_DIR}/EWebLauncher/ControlTheme")

ADD_CUSTOM_COMMAND(
    OUTPUT ${THEME_BINARY_DIR}/entry.edj
    COMMAND ${EDJE_CC_EXECUTABLE} -v ${ControlTheme_DIR}/entry.edc ${THEME_BINARY_DIR}/entry.edj
    DEPENDS
        ${ControlTheme_DIR}/entry.edc
    VERBATIM
)

ADD_CUSTOM_TARGET(ControlTheme DEPENDS ${THEME_BINARY_DIR}/entry.edj)

=== Tools/wx/browser/wscript ===
#! /usr/bin/env python

# Copyright (C) 2009 Kevin Ollivier  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# wxBrowser sample app build script for the waf build system

import sys

from settings import *

include_paths = [os.path.join(wk_root, 'Source', 'WebCore', 'bindings', 'wx'),
                os.path.join(wk_root, 'Source', 'WebKit', 'wx')]

def set_options(opt):
    common_set_options(opt)

def configure(conf):
    common_configure(conf)
    
def build(bld):
    import Options

    obj = bld.new_task_gen(
        features = 'cxx cprogram',
        includes = ' '.join(include_paths),
        source = 'browser.cpp',
        target = 'wxBrowser',
        uselib = 'WX CURL ICU XSLT XML ' + get_config(),
        libpath = [output_dir],
        uselib_local = 'wxwebkit',
        install_path = output_dir)
        
    if sys.platform.startswith('darwin'):
        obj.mac_app = True

=== Source/WebKit/efl/DefaultTheme/CMakeLists.txt ===
MACRO (GENERATE_THEME _target_name _name _option)
    SET(DefaultTheme_DIR "${WEBKIT_DIR}/efl/DefaultTheme")

    ADD_CUSTOM_COMMAND(
        OUTPUT ${THEME_BINARY_DIR}/${_name}
        COMMAND ${EDJE_CC_EXECUTABLE} -v ${_option} default.edc ${THEME_BINARY_DIR}/${_name}
        DEPENDS
            default.edc
            widget/button/button.edc
            widget/button/img_button_focus.png
            widget/button/img_button_hover.png
            widget/button/img_button_normal.png
            widget/button/img_button_press.png
            widget/check/check.edc
            widget/check/img_check_off_focus.png
            widget/check/img_check_off_hover.png
            widget/check/img_check_off.png
            widget/check/img_check_on_focus.png
            widget/check/img_check_on_hover.png
            widget/check/img_check_on.png
            widget/combo/combo.edc
            widget/combo/combo_focus_button.png
            widget/combo/combo_focus.png
            widget/combo/combo_hover_button.png
            widget/combo/combo_hover.png
            widget/combo/combo_normal_button.png
            widget/combo/combo_normal.png
            widget/combo/combo_press_button.png
            widget/combo/combo_press.png
            widget/combo/icon.png
            widget/entry/entry.edc
            widget/entry/img_focused.png
            widget/entry/img_hovered.png
            widget/entry/img_normal.png
            widget/file/file.edc
            widget/file/file_focus.png
            widget/file/file_hover.png
            widget/file/file_normal.png
            widget/file/file_press.png
            widget/mediacontrol/fullscreenbutton/enterfullscreenbutton.png
            widget/mediacontrol/fullscreenbutton/exitfullscreenbutton.png
            widget/mediacontrol/fullscreenbutton/fullscreen_button.edc
            widget/mediacontrol/mutebutton/mute_button.edc
            widget/mediacontrol/mutebutton/mutebutton.png
            widget/mediacontrol/mutebutton/unmutebutton.png
            widget/mediacontrol/playpausebutton/pausebutton.png
            widget/mediacontrol/playpausebutton/playbutton.png
            widget/mediacontrol/playpausebutton/playpause_button.edc
            widget/mediacontrol/seekbackwardbutton/seekbackward_button.edc
            widget/mediacontrol/seekbackwardbutton/seekbackwardbutton.png
            widget/mediacontrol/seekforwardbutton/seekforward_button.edc
            widget/mediacontrol/seekforwardbutton/seekforwardbutton.png
            widget/mediacontrol/togglecaptionsbutton/closedcaption_disabled.png
            widget/mediacontrol/togglecaptionsbutton/closedcaption.png
            widget/mediacontrol/togglecaptionsbutton/toggle_captions_button.edc
            widget/progressbar/bt_base.png
            widget/progressbar/progressbar.edc
            widget/progressbar/shelf_inset.png
            widget/radio/img_radio_off_focus.png
            widget/radio/img_radio_off_hover.png
            widget/radio/img_radio_off.png
            widget/radio/img_radio_on_focus.png
            widget/radio/img_radio_on_hover.png
            widget/radio/img_radio_on.png
            widget/radio/radio.edc
            widget/scrollbar/scrollbar.edc
            widget/scrollbar/scrollbar_h.png
            widget/scrollbar/scrollbar_knob_h.png
            widget/scrollbar/scrollbar_knob_v.png
            widget/scrollbar/scrollbar_v.png
            widget/search/cancel/cancel_normal_button2.png
            widget/search/cancel/cancel_normal_button.png
            widget/search/cancel/search_cancel.edc
            widget/search/decoration/decoration_normal_button.png
            widget/search/decoration/search_decoration.edc
            widget/search/field/field_focused.png
            widget/search/field/field_hovered.png
            widget/search/field/field_normal.png
            widget/search/field/search_field.edc
            widget/slider/slider.edc
            widget/slider/slider_fill_h.png
            widget/slider/slider_fill_v.png
            widget/slider/slider_h.png
            widget/slider/slider_thumb_h.png
            widget/slider/slider_thumb_press_h.png
            widget/slider/slider_thumb_press_v.png
            widget/slider/slider_thumb_v.png
            widget/slider/slider_v.png
            widget/spinner/sp_bg.png
            widget/spinner/sp_down_default.png
            widget/spinner/sp_down_hover.png
            widget/spinner/sp_down_pressed.png
            widget/spinner/spinner.edc
            widget/spinner/sp_up_default.png
            widget/spinner/sp_up_hover.png
            widget/spinner/sp_up_pressed.png
        WORKING_DIRECTORY ${DefaultTheme_DIR}
        VERBATIM
    )

    ADD_CUSTOM_TARGET(${_target_name} ALL
        DEPENDS ${THEME_BINARY_DIR}/${_name}
    )
ENDMACRO()

SET(DefaultTheme_DEFINITION "")
IF (ENABLE_PROGRESS_ELEMENT)
    LIST(APPEND DefaultTheme_DEFINITION "-DENABLE_PROGRESS_ELEMENT")
ENDIF ()

GENERATE_THEME(DefaultTheme "default.edj" "${DefaultTheme_DEFINITION}")
INSTALL(FILES "${THEME_BINARY_DIR}/default.edj" DESTINATION ${DATA_INSTALL_DIR}/themes)

IF (ENABLE_API_TESTS)
    GENERATE_THEME(BigButtonTheme "big_button_theme.edj" "-DBIG_BUTTON_THEME_FOR_TESTING")
ENDIF ()

=== Source/WebKit/wx/bindings/python/wscript ===
#! /usr/bin/env python

# Copyright (C) 2009 Kevin Ollivier  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# wxWebKit Python bindings build script for the waf build system

from settings import *
import Logs
import Options

include_paths = [
            os.path.join(wk_root, 'Source', 'JavaScriptCore'),
            os.path.join(wk_root, 'Source', 'JavaScriptCore', 'runtime'),
            os.path.join(wk_root, 'Source', 'WebCore', 'bindings', 'cpp'),
            os.path.join(wk_root, 'Source', 'WebCore', 'DerivedSources'),
            os.path.join(wk_root, 'Source', 'WebKit', 'wx'),
            os.path.join(wx_root, 'wxPython', 'include'),
            os.path.join(wx_root, '..', 'wxPython', 'include'),
            ]

def wxpy_swig_include():
    dirs = [
                'include/wx-2.9/wx/wxPython/i_files',
                'include/wx-2.8/wx/wxPython/i_files',
                'include/wx/wxPython/i_files',
                'wxPython/src',
                '../wxPython/src',
           ]

    for adir in dirs:
        fullpath = os.path.join(wx_root, adir)
        if os.path.exists(fullpath):
            return fullpath
            
    return ''
    
def build(bld):
    if Options.options.wxpython:
        defines = ['SWIG_TYPE_TABLE=_wxPython_table', 'WXP_USE_THREAD=1', 'SWIG_PYTHON_OUTPUT_TUPLE']
        wx_swig_args = []
        for define in defines:
            wx_swig_args.append('-D%s' % define)

        try:
            import wx.build.config
            wx_swig_args += wx.build.config.swig_args
        except:
            Logs.warn("Cannot find wxPython, wxPython extension will not be built.")
            return
    
        wxpy_include = wxpy_swig_include()
        if os.path.exists(wxpy_include):
            include_paths.append(wxpy_include)
        else:
            Logs.warn("Cannot find location of wxPython .i files, wxPython extension will not be built.")
            return
    
        for inc_path in include_paths:
            wx_swig_args.append('-I' + inc_path)

        obj = bld.new_task_gen(
            features = 'cxx cshlib pyext',
            includes = ' '.join(include_paths),
            source = 'webview.i',
            swig_flags = ' '.join(wx_swig_args),
            defines = defines,
            target = '_webview',
            uselib = 'WX CURL ICU XSLT XML SQLITE3 ' + get_config(),
            
            libpath = [output_dir],
            uselib_local = 'wxwebkit',
            install_path = output_dir
            )

=== debian/changelog ===
qtwebkit-source (2.3.2-0ubuntu7) trusty; urgency=medium

  * Add gstreamer 1.0 patches borrowed from SUSE with thanks:
   - kubuntu_MediaPlayerPrivateGStreamer-should-take-ownership-of-the-playbin.patch
   - kubuntu_buffer-ranges.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Apr 2014 17:54:22 +0100

qtwebkit-source (2.3.2-0ubuntu6) trusty; urgency=medium

  * Update kubuntu_gstreamer-1.0.diff to fix build failure on i386

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Mar 2014 00:27:06 +0000

qtwebkit-source (2.3.2-0ubuntu5) trusty; urgency=medium

  * Add kubuntu_gstreamer-1.0.diff borrowed from SuSE to use GStreamer 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Mar 2014 17:28:44 +0000

qtwebkit-source (2.3.2-0ubuntu4) trusty; urgency=medium

  * Apply (adapted) patch from upstream qt/webkit/ANGLE to fix ANGLE FTBFS
    with bison 3.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 13:11:08 +0000

qtwebkit-source (2.3.2-0ubuntu3) saucy; urgency=low

  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Oct 2013 21:31:14 +0100

qtwebkit-source (2.3.2-0ubuntu2) saucy; urgency=low

  * Set WTF_USE_3D_GRAPHICS=0 on ARM, fix compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Oct 2013 09:42:50 +0100

qtwebkit-source (2.3.2-0ubuntu1) saucy; urgency=low

  * New upstream release LP: #1202425

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Jul 2013 15:28:59 +0100

qtwebkit-source (2.3.1-0ubuntu4) saucy; urgency=low

  * Use g++ 4.7 on ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 12:21:27 +0100

qtwebkit-source (2.3.1-0ubuntu3) saucy; urgency=low

  * Do not hardcode wrong .so version name when creating a symlink,
    instead use a symlink provided by upstream build (LP: #1191286).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 15 Jun 2013 16:41:49 +0400

qtwebkit-source (2.3.1-0ubuntu2) saucy; urgency=low

  * Fix libQtWebkit.so symlink to point to the correct lib version 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Jun 2013 17:22:01 +0200

qtwebkit-source (2.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Use --no-force-sse2 for now.
  * debian/patches/kubuntu_fix_for_powerpc.diff:
    - Drop, merged upstream
  * debian/patches/108991-jsval-32bit-fix.patch:
    - Drop, merged upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 22 Apr 2013 11:09:17 +0300

=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               flex,
               bison,
               gperf,
               python-minimal,
               python2.7,
               ruby,
               libgstreamer1.0-dev, 
               libgstreamer-plugins-base1.0-dev,
               libicu-dev,
               libsqlite3-dev,
               libxml2-dev,
               mesa-common-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libxrender-dev,
               libxslt1-dev,
               qt4-default,
               libqt4-dev,
               libqt4-opengl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               chrpath,
               libpng12-dev,
               libjpeg-dev,
               libfontconfig1-dev,
               g++-4.7 [armhf]
Standards-Version: 3.9.4
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4:4.8.0),
         libqtwebkit4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt4-dev (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqtwebkit4 (= ${binary:Version}), ${misc:Depends}
Replaces: libqt4-webkit-dbg (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

ifeq (armhf,$(shell dpkg-architecture -qDEB_HOST_ARCH))
    export CC = gcc-4.7
    export CXX = g++-4.7
endif

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

export QMAKEPATH=Tools/qmake
export QTDIR=/usr
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper

override_dh_auto_clean:
	rm -rf WebKitBuild
	-find . -name *.pyc | xargs rm

override_dh_auto_configure:
	true

override_dh_auto_build:
#disable JIT assembler on powerpc/arm64 where it doesn't compile
#disable WTF_USE_3D_GRAPHICS on ARM where it doesn't compile
#disable forcing SSE2 on all other platforms
#http://www.mentby.com/Group/webkit-qt-list/qtwebkit-231-tagged.html
ifneq (,$(filter arm64 powerpc ppc64el,$(DEB_HOST_ARCH)))
	./Tools/Scripts/build-webkit --qt DEFINES+=ENABLE_JIT=0 DEFINES+=ENABLE_YARR_JIT=0 DEFINES+=ENABLE_ASSEMBLER=0
else ifeq ($(DEB_HOST_ARCH),armhf)
	./Tools/Scripts/build-webkit --qt DEFINES+=ENABLE_JIT=0 DEFINES+=ENABLE_YARR_JIT=0 DEFINES+=ENABLE_ASSEMBLER=0 DEFINES+=WTF_USE_3D_GRAPHICS=0
else
	./Tools/Scripts/build-webkit --qt --no-force-sse2
endif

override_dh_auto_install:
	dh_install
	mkdir -p debian/libqtwebkit4/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp --no-dereference WebKitBuild/Release/lib/libQtWebKit.so.* debian/libqtwebkit4/usr/lib/$(DEB_HOST_MULTIARCH)/

	mkdir -p debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	cp WebKitBuild/Release/lib/libQtWebKit.prl debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libQtWebKit.prl
	cp WebKitBuild/Release/lib/pkgconfig/QtWebKit.pc debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/QtWebKit.pc
	mkdir -p debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	cp Source/WebKit/qt/Api/*h debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	cp WebKitBuild/Release/include/QtWebKit/Q* debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	rm debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/*_p.h
	cp --no-dereference WebKitBuild/Release/lib/libQtWebKit.so debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/

	mkdir -p debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/
	cp WebKitBuild/Release/imports/QtWebKit/libqmlwebkitplugin.so debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/
	cp WebKitBuild/Release/imports/QtWebKit/qmldir debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtwebkit-opensource-src-([^-]*)\.tar.xz
